/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.myprojects.myservlets;

import it.myprojects.mybeans.PlaceBidBeanLocal;
import it.myprojects.mybeans.objects.Bid;
import java.io.IOException;
import java.io.PrintWriter;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Casa
 */
@WebServlet(name = "PlaceBidServlet", urlPatterns = {"/PlaceBidServlet"})
public class PlaceBidServlet extends HttpServlet {
    @EJB
    private static PlaceBidBeanLocal placeBid;
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
           
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet PlaceBidServlet</title>");  
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet PlaceBidServlet at " + request.getContextPath () + "</h1>");
            
            try {
                 Bid bid = new Bid();
                 bid.setBidderId("npanda");
                 bid.setItemId(Long.valueOf(100));
                 bid.setBidPrice(20000.40);
                 out.println("<br />L'id che ho impostato è " + bid.getItemId());
                 out.println("<br />Bid Successful, BidId Received is:" +placeBid.addBid(bid).getBidId());
            } catch (Exception ex) {
                ex.printStackTrace();
            }
            
            out.println("</body>");
            out.println("</html>");
             
        } finally {            
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
